Retrieve Pay by Bank Transaction

This request retrieves details about a past Pay by Bank transaction.

Request Content

No content is required in the request body. Enter the relevant IDs in the request URL as path parameters:

By Transaction ID

/services/2/alt-transactions/{transactionId}

For example:

https://sandbox.bluesnap.com/services/2/alt-transactions/123456782

By Merchant Transaction ID and Merchant ID

/services/2/alt-transactions/{merchantTransactionId},{merchantId}

For example:

/services/2/alt-transactions/unique_001,395608

Path Parameters

Path parametersTypeRequiredDescription
{transactionId}integerrequired to retrieve by transaction.Unique identifier that BlueSnap assigned to the transaction.
{merchantTransactionId}integerrequired to retrieve transaction by merchant transaction ID and merchant ID.Unique identifier that the merchant assigned to the transaction.
{merchantId}integerrequired to retrieve transaction by merchant transaction ID and merchant ID.Unique identifier that BlueSnap assigned to the merchant.

Response Details

Successful requests return the HTTP response status code 200 OK and a response body that contains the following properties:

PropertyNotes
amountValue of the transaction in the provided currency.
currencyCurrency used to process the transaction.
payByBankTransactionSee payByBankTranscation.
payerInfoReturned when the shopper is a not a vaulted shopper. See payerInfo.
processingInfoStatus of the transaction. See processingInfo.
productDescriptionDetails about the product purchased in the transaction.
transactionIdUnique identifier of the transaction.
vaultedShopperIdUnique identifier for the vaulted shopper.

Examples

Request Examples

curl -v -X  GET https://sandbox.bluesnap.com/services/2/alt-transactions/123456782 \
     -H 'Authorization: Basic QVBJXzE2MTk2MjgyMzU0ODkyMDM5MTMzODc0OkFsdG9pZHMxIQ==' \
     -H 'accept: application/json' \
     -H 'bluesnap-version: 3.0' \
     -H 'content-type: application/json'
curl -v -X GET 'https://sandbox.bluesnap.com/services/2/alt-transactions/unique_test_id,10427052' \
     -H 'Authorization: Basic QVBJXzE2MTk2MjgyMzU0ODkyMDM5MTMzODc0OkFsdG9pZHMxIQ==' \
     -H 'accept: application/json' \
     -H 'bluesnap-version: 3.0' \
     -H 'content-type: application/json'

Response Examples

{
     "transactionId": "12345678",
     "amount": 100,
     "currency": "EUR",
     "payerInfo": {
         "firstName": "John",
         "lastName": "Doe",
         "country": "de",
         "zip": "12345"
     },
     "vaultedShopperId": 87654321,
     "payByBankTransaction": {
          "payByBankUrl": "https://hostname:8444/services/fel/pbb/hostedpage?hpid=<hosted-page-id>==&invid=<invid-id>",
          "ibanFirstFour": "DE12",
          "ibanLastFour": "7890"
     },
     "productDescription": "N/A",
     "processingInfo": {
         "processingStatus": "PENDING"
     }
 }
{
  "merchantTransactionId": "unique_test_id",
  "transactionId": "1108068311",
  "amount": 515,
  "currency": "EUR",
  "payerInfo": {
    "firstName": "Jane",
    "lastName": "Shopper",
    "country": "de",
    "zip": "12345"
  },
  "vaultedShopperId": 51669313,
  "payByBankTransaction": {
    "payByBankUrl": "https://sandbox.bluesnap.com/services/fel/pbb/hostedpage?hpid=aHBpZDoxMTA4MDY4MzExOjUxNTAw&invid=1108068311",
    "ibanFirstFour": "DE12",
    "ibanLastFour": "3210"
  },
  "productDescription": "N/A",
  "processingInfo": {
    "processingStatus": "PENDING",
    "transactionRegion": "UK"
  }
}

API Explorer

Path Params
string
required
Defaults to 1105235763

transaction ID received in the response from BlueSnap

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!